{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<!-- <div class="spinner-border" {% if show_loading %}style="display: block;"{% else %}style="display: none;"{% endif %} role="status">
  <span class="sr-only">Loading...</span>
</div> -->

<div class="container-fluid">

  <ul class="nav nav-tabs my-2">
    <li class="nav-item">
      <a class="nav-link" href="/train">Train</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="/inference">Inference</a>
    </li>
  </ul>
</div>

<div class="container-fluid">

<h1>Please select training or inference.</h1>

<div class="container mt-5">
  <div class="row">
    <div class="col-md-6">
      <h3 class="text-success">Dataset</h3>
      <h4>
        The coco annotation files must be named as: {{annotation_file_name}}. <br>
        Please make a zip out of the dataset train, valid, test directories and upload the zip from your local PC.<br>
        Test folder will be used for calculating and saving metrics. It is not mandatory and if not available the valid folder will be used for that matter.<br>
      </h4>
      <h3 class="text-success pt-2">Dataset zip Structure</h3>
      <h5>
        <ul>
          <li>dataset.zip
            <ul>
              <li>train
                <ul>
                  <li>{{annotation_file_name}}</li>
                  <li>1.jpg</li>
                  <li>2.jpg</li>
                  <li>...</li>
                </ul>
              </li>
              <li>valid</li>
              <ul>
                <li>{{annotation_file_name}}</li>
                <li>1.jpg</li>
                <li>2.jpg</li>
                <li>...</li>
              </ul>
              <li>test</li>
              <ul>
                <li>{{annotation_file_name}}</li>
                <li>1.jpg</li>
                <li>2.jpg</li>
                <li>...</li>
              </ul>
            </ul>
          </li>
        </ul>
      </h5>
      <h3 class="text-success pt-2">Annotation File</h3>
      <h5>
        Segmentation is not needed in the annotation file. The bbox and the labels would be enough for this training. For more info please visit this blog: 
        <a href="https://www.immersivelimit.com/tutorials/create-coco-annotations-from-scratch"> Create COCO Annotations From Scratch </a>
      </h5>
    </div>
    <div class="col-md-6">
      <h3 class="text-success">Model</h3>
      <h4>
        Please make a zip out of the model (config.json, preprocessor_config.json, model.bin) 
        and upload the zip from your local PC. 
        Be aware the files must be in the parent directory of the zip file.
      </h4>
      <h3 class="text-success pt-2">Model zip Structure</h3>
      <h5>
        <ul>
          <li>model.zip
            <ul>
              <li>config.json</li>
              <li>preprocessor_config.json</li>
              <li>model.bin</li>
            </ul>
          </li>
        </ul>
      </h5>
    </div>
  </div>
</div>

{% endblock %}
<!-- Bootstrap core JavaScript-->
<script src="static/vendor/jquery/jquery.min.js"></script>
<script src="static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="static/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="static/js/sb-admin-2.min.js"></script>
<script type="text/javascript" src="static/js/customscript.js"></script>


</body>

</html>